julia(6)

NAME
julia - draws spinning, animating julia-set fractals

SYNOPSIS
julia [-display host:display.screen] [-foreground color] [-background color] [-window] [-root] [-mono] [-install] [-visual visual] [-ncolors integer] [-delay microseconds] [-cycles integer] [-count integer] [-mouse] [-nomouse]

DESCRIPTION
The julia program draws spinning, animating julia-set fractals. It uses ifs {w0 = sqrt(x-c), w1 = -sqrt(x-c)} with random iteration to plot the julia set, and sinusoidially varied parameters for the set, and plots parameters with a circle. One thing to note is that count is the depth of the search tree, so the number of points computed is (2^count)-1. I use 8 or 9 on a dx266 and it looks okay. The sinusoidal variation of the parameter might not be as interesting as it could, but it still gives an idea of the effect of the parameter.

OPTIONS
julia accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-ncolors integer
    How many colors should be used (if possible). Default 200. The colors used cycle through the hue, making N stops around the color wheel.

-cycles integer

-count integer

-mouse

-nomouse
    If -mouse is specified, the control point of the Julia set will be derived from the position of the mouse in the window. When the mouse is not in the window, the control point is chosen the normal way.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1), xlock(1)

COPYRIGHT
Copyright © 1995 by Sean McCullough. Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

AUTHOR
Sean McCullough <bankshot@mailhost.nmt.edu>, 1995. Ability to run standalone or with xscreensaver added by Jamie Zawinski <jwz@jwz.org>, 10-May-97.